/*
 * Copyright 2017-present, Yudong (Dom) Wang
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wisdom.tool.constant;

/** 
* @ClassName: RESTConst 
* @Description: Rest constants 
* @Author: Yudong (Dom) Wang
* @Email: wisdomtool@qq.com 
* @Date: 2017-07-22 PM 10:42:57 
* @Version: Wisdom RESTClient V1.2 
*/
public class RESTConst
{
    public static final String REST_CLIENT_VERSION = "Wisdom RESTClient V1.2";

    public static final String WORK = "work";

    public static final String REPORT = "report";

    public static final String APIDOC = "apidoc";

    public static final String API = "API";

    public static final String WISDOM_TOOL = "org/wisdom/tool/";

    public static final String ICON_START = WISDOM_TOOL + "image/btn_start.png";

    public static final String ICON_ADD = WISDOM_TOOL + "image/btn_add.png";

    public static final String ICON_DEL = WISDOM_TOOL + "image/btn_delete.png";

    public static final String ICON_LOAD_FILE = WISDOM_TOOL + "image/btn_load_file.png";

    public static final String ICON_STOP = WISDOM_TOOL + "image/btn_stop.png";

    public final static String CAUSE_JSON = WISDOM_TOOL + "cause/causes.json";

    public final static String REPORT_HTML = WISDOM_TOOL + "report/report.html";

    public final static String REPORT_CSS = WISDOM_TOOL + "report/css/report.css";

    public final static String REPORT_JS = WISDOM_TOOL + "report/js/report.js";

    public final static String REPORT_JQUERY = WISDOM_TOOL + "report/js/jquery-3.1.1.min.js";

    public final static String WISDOM_TOOL_ORG = WISDOM_TOOL + "help/wisdomtool.org";

    public final static String DONATION = WISDOM_TOOL + "help/wisdomtool.donate";

    public final static String WISDOM_TOOL_USAGE = WISDOM_TOOL + "help/wisdomtool.cli.usage";

    public static final String LOGO = WISDOM_TOOL + "image/logo.png";

    public static final String DONATE_ICON = WISDOM_TOOL + "image/donate_pay.png";

    public static final String HELP_DOC = WISDOM_TOOL + "doc/rest-client.pdf";

    public final static String APIDOC_BTSTRAP_JS = WISDOM_TOOL + "apidoc/js/bootstrap.js";
    
    public final static String APIDOC_JS = WISDOM_TOOL + "apidoc/js/apidoc.js";
    
    public final static String APIDOC_DATA_JS = WISDOM_TOOL + "apidoc/js/apidata.js";
    
    public final static String APIDOC_JQUERY = WISDOM_TOOL + "apidoc/js/jquery-3.1.1.min.js";
    
    public final static String APIDOC_CSS = WISDOM_TOOL + "apidoc/css/apidoc.css";
    
    public final static String APIDOC_BTSTRAP_CSS = WISDOM_TOOL + "apidoc/css/bootstrap.css";
    
    public final static String APIDOC_JSON = WISDOM_TOOL + "apidoc/apidoc.json";
    
    public final static String APIDOC_HTML = WISDOM_TOOL + "apidoc/apidoc.html";
    
    public static final String URL_ISSUE = "https://github.com/Wisdom-Projects/rest-client/issues";

    public static final int BORDER_WIDTH = 5;

    public static final int AREA_ROWS = 10;

    public static final int FIELD_SIZE = 22;

    public static final int FIELD_STATUS_SIZE = 45;

    public static final int FIELD_PATH_SIZE = 55;

    public static final int LIGHT_GRAY = 240;

    public static final String START = "Start";

    public static final String STOP = "Stop";

    public static final String ADD = "Add";

    public static final String DELETE = "Delete";

    public static final String SELECT_FILE = "Select File";

    public static final String BROWSE = "Browse";

    public static final String URL = "URL";

    public static final String METHOD = "HTTP Method";

    public static final String BODY = "Body";

    public static final String RAW = "Raw";

    public static final String STATUS = "Status";

    public static final String HEADER = "Header";

    public static final String COOKIE = "Cookie";

    public static final String PARAMETER = "Parameter";

    public static final String KEY = "Key";

    public static final String NAME = "Name";

    public static final String VALUE = "Value";

    public static final String CONTENT_TYPE = "Content-Type";

    public static final String CHARSET = "Charset";

    public static final String BODY_TYPE = "Body-Type";

    public static final String STRING = "String";

    public static final String FILE = "File";

    public static final String HTTP_REQUEST = "HTTP Request";

    public static final String HTTP_RESPONSE = "HTTP Response";

    public static final String HTTP_REQ_HEADER = "HTTP Request Header";

    public static final String HTTP_REQ_BODY = "HTTP Request Body";

    public static final String HTTP_REP_BODY = "HTTP Response Body";

    public static final String HTTP_STATUS = "HTTP Status";

    public static final String REST_CLIENT = "HTTP RESTClient";

    public static final String HTTP_HISTORY = "HTTP History";

    public static final String BODY_CONTENT = "Body Content";

    public static final String FILE_PATH = "File Path";

    public static final String ID = "ID";

    public static final String REQUEST = "Request";

    public static final String RESPONSE = "Response";

    public static final String DATE = "Date";

    public static final String SIZE = "Size";

    public static final String TIME = "Time";

    public static final String RESULT = "Result";

    public static final String RUN = "Run";

    public static final String CLEAR = "Clear";

    public static final String EXPORT = "Export";

    public static final String IMPORT = "Import";

    public static final String RESET = "Reset";

    public static final String RESET_ALL = "Reset All";

    public static final String RESET_REQ = "Reset Request";

    public static final String RESET_RSP = "Reset Response";

    public static final String START_TEST = "Start Test";

    public static final String STOP_TEST = "Stop Test";

    public static final String TEST_REPORT = "Test Report";

    public static final String DISPLAY = "Display";

    public static final String EXIT = "Exit";

    public static final String HIST = "History";

    public static final String TEST = "Test";

    public static final String EDIT = "Edit";

    public static final String HELP = "Help";

    public static final String TOOLS = "Tools";
    
    public static final String CREATE = "Create";

    public static final String OPEN = "Open";

    public static final String HELP_CONTENTS = "Help Contents";

    public static final String REPORT_ISSUE = "Report Issue";

    public static final String ABOUT_TOOL = "About Tool";

    public static final String API_DOCUMENT = "API Documentation";

    public static final String REQ_TAG = "== REQUEST  ==";

    public static final String RSP_TAG = "== RESPONSE ==";

    public static final String HDR_TAG = "-- HEADERS  --";

    public static final String CKI_TAG = "-- COOKIE  --";
    
    public static final String BDY_TAG = "--   BODY   --";

    public static final String CONTENT_LEN = "Content-Length";

    public static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss.SSS";

    public static final String ACCEPT = "Accept";

    public static final String ACCEPT_TYPE = "application/json,application/xml,application/xhtml+xml,text/html,text/xml,text/plain";
    
    public final static String HTTP_HIST_JSON = "work/http_history.json";

    public static final String CONFIRM_RM_ALL = "Are you sure you want to remove all?";

    public static final String RM_SEL = "Remove Selected";

    public static final String RM_ALL = "Remove All";

    public static final String UNASSERT_BODY = "Unassert Body";

    public static final String ASSERT_BODY = "Assert Body";

    public final static String LANG_EN = "en";

    public final static String LANG_ZH = "zh";

    public final static Integer POOL_SIZE = 10;

    public final static String REPORT_DIR = "report";

    public final static String LABEL_REPORT_DATA = "@REPORT_DATA@";

    public final static String LABEL_TOTAL = "@TOTAL@";

    public final static String LABEL_PASSES = "@PASSES@";

    public final static String LABEL_ERRORS = "@ERRORS@";

    public final static String LABEL_FAILURES = "@FAILURES@";

    public final static String LABEL_APIDOC_DATA = "@APIDOC_DATA@";

    public final static String THREAD_MANAGER = "REST Thread Manager";

    public final static Long TIME_3S = 3000L;

    public final static Long TIME_100MS = 100L;
    
    public final static Long TIME_300MS = 300L;

    public final static String DEFAULT_HOST = "127.0.0.1";

    public final static String PROGRESS = "progress";

    public final static String TEST_CASE = "Testing historical cases";

    public final static String TEST_THREAD = "Test Thread";

    public final static String LOAD_THREAD = "Load Thread";
    
    public final static String REQ_THREAD = "Request Thread";

    public final static String TLS = "TLS";

    public final static String OK = "OK";

    public final static int TIME_OUT = 120000;

    public static final String FORMAT = "Format";

    public static final String COPY = "Copy";

    public static final String PASTE = "Paste";

    public static final String HTML_LABEL = "</html>";

    public static final String DONATE = "♥ Donate";

    public static final String DONATE_BY_PAY = "Donate by Alipay or WeChat Pay";

    public static final String HTTP_HEAD = "http://";

    public static final String HTTPS_HEAD = "https://";

    public static final String LINE = "├──";

    public static final String UNKNOWN = "Unknown";

    public static final String OPTIONAL = "Optional";

    public static final String REQUIRED = "Required";

    public static final String NA = "N/A";

    public static final String PATH_PARAM = "<span class=\"param\">{id}</span>";

    public static final String DESCR = "Description";

    public static final String MOVE_UP = "Move Up";

    public static final String MOVE_DOWN = "Move Down";

    public static final String APITEST = "apitest";

    public static final String OPTION_TEST = "-" + APITEST;

    public static final String OPTION_DOC = "-" + APIDOC;

    public static final String OPTION_HELP = "-help";
    
    public static final String OPTION_GUI = "-gui";

    public static final String EMPTY = "";

    public static final String DONE = "Done";

    public static final String PAGE_APIDOC = "work/apidoc/apidoc.html";

    public static final String PAGE_REPORT = "work/report/report.html";

    public static final String HELP_FILE = "work/doc/rest-client.pdf";

    public static final String MSG_APIDOC = "Please see \"" + RESTConst.PAGE_APIDOC + "\" for the API documentation.";

    public static final String MSG_REPORT = "Please see \"" + RESTConst.PAGE_REPORT + "\" for the test report.";

    public static final String MSG_REPORT_ISSUE = "Please visit\n\"" + RESTConst.URL_ISSUE + "\"\nto report issue.";

    public static final String MSG_HELP_FILE = "Please see \"" + RESTConst.HELP_FILE + "\" for the help contents.";

    public static final String CONFIG = "Configure";

    public final static String EXCLUDE_NODE = "Exclude each selected node";

    public final static String JSON_VIEWER = "JSON Viewer";

    public final static String ASSERT_REPBODY = "Assert HTTP Response Body";

    public final static int DIALOG_WIDTH = 500;

    public final static int DIALOG_HEIGHT = 400;

    public final static String JSON = "JSON";

    public final static String HIST_DETAIL = "History Detail";

    public static final int METHOD_FIELD_SIZE = 5;

    public static final int HIST_AREA_ROWS = 5;

    public final static int HIST_HEADER_WIDTH = 250;

    public final static int HIST_HEADER_HEIGHT = 100;

    public final static int HIST_FRAME_WIDTH = 725;

    public final static int HIST_FRAME_HEIGHT = 500;

    public final static int MAIN_FRAME_WIDTH = 725;

    public final static int MAIN_FRAME_HEIGHT = 600;

    public final static String VIEWER = "Viewer";

    public final static String TEXT = "Text";

    public final static String EXPAND_ALL = "Expand All";

    public final static String COLLAPSE_ALL = "Collapse All";

    public final static String NEW_HDR = "New " + HEADER;

    public final static String REFRESH = "Refresh";
}
